"use strict";
/**
 * Copyright (c) 2022 Amorphous
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitLineBySpacesWithQuotes = void 0;
/**
 * Splits a string by whitespace, except for whitespace that's within quotes
 * @param line
 */
const splitLineBySpacesWithQuotes = (line) => {
    return line.match(/(\S*'.*?'|\S*".*?"|\S+)/gm) || [];
};
exports.splitLineBySpacesWithQuotes = splitLineBySpacesWithQuotes;
